target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

; Function Attrs: nounwind
define spir_kernel void @test_atomic_kernel(i32 %threadCount, i32 %numDestItems, i64 addrspace(1)* %finalDest, i64 addrspace(1)* %oldValues, i64 addrspace(3)* %destMemory, i64 addrspace(3)* %localValues) #0 {
entry:
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #1
  %call = extractelement <3 x i64> %0, i32 0
  %conv = trunc i64 %call to i32
  %1 = call spir_func <3 x i64> @BuiltInLocalInvocationId() #1
  %call1 = extractelement <3 x i64> %1, i32 0
  %cmp = icmp eq i64 %call1, 0
  br i1 %cmp, label %if.then, label %if.end

if.then:                                          ; preds = %entry
  br label %for.cond

for.cond:                                         ; preds = %for.inc, %if.then
  %dstItemIdx.0 = phi i32 [ 0, %if.then ], [ %inc, %for.inc ]
  %cmp3 = icmp ult i32 %dstItemIdx.0, %numDestItems
  br i1 %cmp3, label %for.body, label %for.cond.cleanup

for.cond.cleanup:                                 ; preds = %for.cond
  br label %for.end

for.body:                                         ; preds = %for.cond
  %idx.ext = zext i32 %dstItemIdx.0 to i64
  %add.ptr = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %idx.ext
  %idxprom = zext i32 %dstItemIdx.0 to i64
  %arrayidx = getelementptr inbounds i64, i64 addrspace(1)* %finalDest, i64 %idxprom
  %2 = load i64, i64 addrspace(1)* %arrayidx, align 8
  call spir_func void @OpAtomicStore_p3i64_i32_i32_i64(i64 addrspace(3)* %add.ptr, i32 2, i32 0, i64 %2) #0
  br label %for.inc

for.inc:                                          ; preds = %for.body
  %inc = add i32 %dstItemIdx.0, 1
  br label %for.cond

for.end:                                          ; preds = %for.cond.cleanup
  br label %if.end

if.end:                                           ; preds = %for.end, %entry
  call spir_func void @OpControlBarrier_i32_i32_i32(i32 2, i32 2, i32 272) #0
  br label %for.cond5

for.cond5:                                        ; preds = %for.inc17, %if.end
  %rfId.0 = phi i32 [ 0, %if.end ], [ %inc18, %for.inc17 ]
  %cmp6 = icmp ult i32 %rfId.0, 15
  br i1 %cmp6, label %for.body9, label %for.cond.cleanup8

for.cond.cleanup8:                                ; preds = %for.cond5
  br label %for.end19

for.body9:                                        ; preds = %for.cond5
  %mul = mul i32 %conv, 15
  %add = add i32 %mul, %rfId.0
  %idxprom10 = zext i32 %add to i64
  %arrayidx11 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom10
  %3 = load i64, i64 addrspace(1)* %arrayidx11, align 8
  %4 = call spir_func <3 x i64> @BuiltInLocalInvocationId() #1
  %call12 = extractelement <3 x i64> %4, i32 0
  %mul13 = mul i64 %call12, 15
  %conv14 = zext i32 %rfId.0 to i64
  %add15 = add i64 %mul13, %conv14
  %arrayidx16 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add15
  store i64 %3, i64 addrspace(3)* %arrayidx16, align 8
  br label %for.inc17

for.inc17:                                        ; preds = %for.body9
  %inc18 = add i32 %rfId.0, 1
  br label %for.cond5

for.end19:                                        ; preds = %for.cond.cleanup8
  call spir_func void @OpControlBarrier_i32_i32_i32(i32 2, i32 2, i32 272) #0
  %5 = call spir_func <3 x i64> @BuiltInLocalInvocationId() #1
  %call20 = extractelement <3 x i64> %5, i32 0
  %6 = call spir_func <3 x i64> @BuiltInWorkgroupSize() #1
  %call21 = extractelement <3 x i64> %6, i32 0
  %sub = sub i64 %call21, 1
  %sub22 = sub i64 %sub, %call20
  br label %do.body

do.body:                                          ; preds = %land.end, %for.end19
  %hisId.0 = phi i64 [ %sub22, %for.end19 ], [ %rem, %land.end ]
  %myValue.0 = phi i64 [ 0, %for.end19 ], [ %inc23, %land.end ]
  %inc23 = add nsw i64 %myValue.0, 1
  %mul24 = mul i64 %call20, 15
  %add25 = add i64 %mul24, %inc23
  %arrayidx26 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add25
  store i64 %inc23, i64 addrspace(3)* %arrayidx26, align 8
  call spir_func void @OpMemoryBarrier_i32_i32(i32 2, i32 260) #0
  %arrayidx27 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %call20
  call spir_func void @OpAtomicStore_p3i64_i32_i32_i64(i64 addrspace(3)* %arrayidx27, i32 2, i32 0, i64 %inc23) #0
  %arrayidx28 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %hisId.0
  %call29 = call spir_func i64 @OpAtomicLoad_p3i64_i32_i32(i64 addrspace(3)* %arrayidx28, i32 2, i32 2) #0
  %mul30 = mul i64 %hisId.0, 15
  %add31 = add i64 %mul30, %call29
  %arrayidx32 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add31
  %7 = load i64, i64 addrspace(3)* %arrayidx32, align 8
  %add33 = add i64 %hisId.0, 1
  %8 = call spir_func <3 x i64> @BuiltInWorkgroupSize() #1
  %call34 = extractelement <3 x i64> %8, i32 0
  %rem = urem i64 %add33, %call34
  br label %do.cond

do.cond:                                          ; preds = %do.body
  %cmp35 = icmp eq i64 %call29, %7
  br i1 %cmp35, label %land.rhs, label %land.end

land.rhs:                                         ; preds = %do.cond
  %cmp37 = icmp slt i64 %inc23, 14
  %i1promo = zext i1 %cmp37 to i8
  br label %land.end

land.end:                                         ; preds = %land.rhs, %do.cond
  %9 = phi i8 [ 0, %do.cond ], [ %i1promo, %land.rhs ]
  %i1trunc = trunc i8 %9 to i1
  br i1 %i1trunc, label %do.body, label %do.end

do.end:                                           ; preds = %land.end
  %cmp39 = icmp ne i64 %call29, %7
  br i1 %cmp39, label %if.then41, label %if.end76

if.then41:                                        ; preds = %do.end
  %arrayidx42 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %call20
  %sub43 = sub nsw i64 %inc23, 1
  call spir_func void @OpAtomicStore_p3i64_i32_i32_i64(i64 addrspace(3)* %arrayidx42, i32 1, i32 16, i64 %sub43) #0
  %10 = call spir_func <3 x i64> @BuiltInWorkgroupSize() #1
  %call44 = extractelement <3 x i64> %10, i32 0
  %add45 = add i64 %rem, %call44
  %sub46 = sub i64 %add45, 1
  %11 = call spir_func <3 x i64> @BuiltInWorkgroupSize() #1
  %call47 = extractelement <3 x i64> %11, i32 0
  %rem48 = urem i64 %sub46, %call47
  %add49 = add nsw i64 %inc23, 1
  %cmp50 = icmp slt i64 %add49, 15
  br i1 %cmp50, label %if.then52, label %if.end57

if.then52:                                        ; preds = %if.then41
  %mul53 = mul i64 %call20, 15
  %add54 = add i64 %mul53, %inc23
  %add55 = add i64 %add54, 1
  %arrayidx56 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add55
  store i64 %rem48, i64 addrspace(3)* %arrayidx56, align 8
  br label %if.end57

if.end57:                                         ; preds = %if.then52, %if.then41
  %add58 = add nsw i64 %inc23, 2
  %cmp59 = icmp slt i64 %add58, 15
  br i1 %cmp59, label %if.then61, label %if.end66

if.then61:                                        ; preds = %if.end57
  %mul62 = mul i64 %call20, 15
  %add63 = add i64 %mul62, %inc23
  %add64 = add i64 %add63, 2
  %arrayidx65 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add64
  store i64 %call29, i64 addrspace(3)* %arrayidx65, align 8
  br label %if.end66

if.end66:                                         ; preds = %if.then61, %if.end57
  %add67 = add nsw i64 %inc23, 3
  %cmp68 = icmp slt i64 %add67, 15
  br i1 %cmp68, label %if.then70, label %if.end75

if.then70:                                        ; preds = %if.end66
  %mul71 = mul i64 %call20, 15
  %add72 = add i64 %mul71, %inc23
  %add73 = add i64 %add72, 3
  %arrayidx74 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add73
  store i64 %7, i64 addrspace(3)* %arrayidx74, align 8
  br label %if.end75

if.end75:                                         ; preds = %if.then70, %if.end66
  br label %if.end76

if.end76:                                         ; preds = %if.end75, %do.end
  call spir_func void @OpControlBarrier_i32_i32_i32(i32 2, i32 2, i32 272) #0
  br label %for.cond78

for.cond78:                                       ; preds = %for.inc92, %if.end76
  %rfId77.0 = phi i32 [ 0, %if.end76 ], [ %inc93, %for.inc92 ]
  %cmp79 = icmp ult i32 %rfId77.0, 15
  br i1 %cmp79, label %for.body82, label %for.cond.cleanup81

for.cond.cleanup81:                               ; preds = %for.cond78
  br label %for.end94

for.body82:                                       ; preds = %for.cond78
  %12 = call spir_func <3 x i64> @BuiltInLocalInvocationId() #1
  %call83 = extractelement <3 x i64> %12, i32 0
  %mul84 = mul i64 %call83, 15
  %conv85 = zext i32 %rfId77.0 to i64
  %add86 = add i64 %mul84, %conv85
  %arrayidx87 = getelementptr inbounds i64, i64 addrspace(3)* %localValues, i64 %add86
  %13 = load i64, i64 addrspace(3)* %arrayidx87, align 8
  %mul88 = mul i32 %conv, 15
  %add89 = add i32 %mul88, %rfId77.0
  %idxprom90 = zext i32 %add89 to i64
  %arrayidx91 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom90
  store i64 %13, i64 addrspace(1)* %arrayidx91, align 8
  br label %for.inc92

for.inc92:                                        ; preds = %for.body82
  %inc93 = add i32 %rfId77.0, 1
  br label %for.cond78

for.end94:                                        ; preds = %for.cond.cleanup81
  call spir_func void @OpControlBarrier_i32_i32_i32(i32 2, i32 2, i32 272) #0
  %14 = call spir_func <3 x i64> @BuiltInLocalInvocationId() #1
  %call95 = extractelement <3 x i64> %14, i32 0
  %cmp96 = icmp eq i64 %call95, 0
  br i1 %cmp96, label %if.then98, label %if.end113

if.then98:                                        ; preds = %for.end94
  br label %for.cond100

for.cond100:                                      ; preds = %for.inc110, %if.then98
  %dstItemIdx99.0 = phi i32 [ 0, %if.then98 ], [ %inc111, %for.inc110 ]
  %cmp101 = icmp ult i32 %dstItemIdx99.0, %numDestItems
  br i1 %cmp101, label %for.body104, label %for.cond.cleanup103

for.cond.cleanup103:                              ; preds = %for.cond100
  br label %for.end112

for.body104:                                      ; preds = %for.cond100
  %idx.ext105 = zext i32 %dstItemIdx99.0 to i64
  %add.ptr106 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %idx.ext105
  %call107 = call spir_func i64 @OpAtomicLoad_p3i64_i32_i32(i64 addrspace(3)* %add.ptr106, i32 2, i32 0) #0
  %idxprom108 = zext i32 %dstItemIdx99.0 to i64
  %arrayidx109 = getelementptr inbounds i64, i64 addrspace(1)* %finalDest, i64 %idxprom108
  store i64 %call107, i64 addrspace(1)* %arrayidx109, align 8
  br label %for.inc110

for.inc110:                                       ; preds = %for.body104
  %inc111 = add i32 %dstItemIdx99.0, 1
  br label %for.cond100

for.end112:                                       ; preds = %for.cond.cleanup103
  br label %if.end113

if.end113:                                        ; preds = %for.end112, %for.end94
  ret void
}

; Function Attrs: nounwind
declare spir_func void @OpAtomicStore_p3i64_i32_i32_i64(i64 addrspace(3)*, i32, i32, i64) #0

; Function Attrs: nounwind
declare spir_func void @OpControlBarrier_i32_i32_i32(i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func void @OpMemoryBarrier_i32_i32(i32, i32) #0

; Function Attrs: nounwind
declare spir_func i64 @OpAtomicLoad_p3i64_i32_i32(i64 addrspace(3)*, i32, i32) #0

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInGlobalInvocationId() #1

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInLocalInvocationId() #1

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInWorkgroupSize() #1

attributes #0 = { nounwind }
attributes #1 = { nounwind readnone }

!opencl.kernels = !{!0}
!IGCMetadata = !{!7}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!240}
!opencl.ocl.version = !{!240}
!opencl.used.extensions = !{!241}
!opencl.used.optional.core.features = !{!242}
!opencl.compiler.options = !{!243}

!0 = !{void (i32, i32, i64 addrspace(1)*, i64 addrspace(1)*, i64 addrspace(3)*, i64 addrspace(3)*)* @test_atomic_kernel, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 0, i32 0, i32 1, i32 1, i32 3, i32 3}
!2 = !{!"kernel_arg_access_qual", !"none", !"none", !"none", !"none", !"none", !"none"}
!3 = !{!"kernel_arg_type", !"uint", !"uint", !"ptrdiff_t*", !"ptrdiff_t*", !"atomic_ptrdiff_t*", !"ptrdiff_t*"}
!4 = !{!"kernel_arg_type_qual", !"", !"", !"", !"", !"volatile", !""}
!5 = !{!"kernel_arg_base_type", !"int", !"int", !"long*", !"long*", !"long*", !"long*"}
!6 = !{!"kernel_arg_name", !"threadCount", !"numDestItems", !"finalDest", !"oldValues", !"destMemory", !"localValues"}
!7 = !{!"ModuleMD", !8, !9, !64, !121, !151, !167, !179, !189, !191, !192, !203, !204, !205, !206, !209, !210, !211, !212, !213, !214, !215, !216, !217, !218, !219, !220, !222, !226, !227, !228, !229, !230, !231, !108, !232, !233, !235, !238, !239}
!8 = !{!"isPrecise", i1 false}
!9 = !{!"compOpt", !10, !11, !12, !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63}
!10 = !{!"DenormsAreZero", i1 false}
!11 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!12 = !{!"OptDisable", i1 false}
!13 = !{!"MadEnable", i1 false}
!14 = !{!"NoSignedZeros", i1 false}
!15 = !{!"NoNaNs", i1 false}
!16 = !{!"FloatRoundingMode", i32 0}
!17 = !{!"FloatCvtIntRoundingMode", i32 3}
!18 = !{!"VISAPreSchedRPThreshold", i32 0}
!19 = !{!"SetLoopUnrollThreshold", i32 0}
!20 = !{!"UnsafeMathOptimizations", i1 false}
!21 = !{!"FiniteMathOnly", i1 false}
!22 = !{!"FastRelaxedMath", i1 false}
!23 = !{!"DashGSpecified", i1 false}
!24 = !{!"FastCompilation", i1 false}
!25 = !{!"UseScratchSpacePrivateMemory", i1 true}
!26 = !{!"RelaxedBuiltins", i1 false}
!27 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!28 = !{!"GreaterThan2GBBufferRequired", i1 true}
!29 = !{!"GreaterThan4GBBufferRequired", i1 true}
!30 = !{!"DisableA64WA", i1 false}
!31 = !{!"ForceEnableA64WA", i1 false}
!32 = !{!"PushConstantsEnable", i1 true}
!33 = !{!"HasPositivePointerOffset", i1 false}
!34 = !{!"HasBufferOffsetArg", i1 false}
!35 = !{!"BufferOffsetArgOptional", i1 true}
!36 = !{!"HasSubDWAlignedPtrArg", i1 false}
!37 = !{!"replaceGlobalOffsetsByZero", i1 false}
!38 = !{!"forcePixelShaderSIMDMode", i32 0}
!39 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!40 = !{!"UniformWGS", i1 false}
!41 = !{!"disableVertexComponentPacking", i1 false}
!42 = !{!"disablePartialVertexComponentPacking", i1 false}
!43 = !{!"PreferBindlessImages", i1 false}
!44 = !{!"UseBindlessMode", i1 false}
!45 = !{!"UseLegacyBindlessMode", i1 true}
!46 = !{!"disableMathRefactoring", i1 false}
!47 = !{!"atomicBranch", i1 false}
!48 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!49 = !{!"EnableFastestLinearScan", i1 false}
!50 = !{!"UseStatelessforPrivateMemory", i1 false}
!51 = !{!"EnableTakeGlobalAddress", i1 false}
!52 = !{!"IsLibraryCompilation", i1 false}
!53 = !{!"FastVISACompile", i1 false}
!54 = !{!"MatchSinCosPi", i1 false}
!55 = !{!"CaptureCompilerStats", i1 false}
!56 = !{!"EnableZEBinary", i1 false}
!57 = !{!"ExcludeIRFromZEBinary", i1 false}
!58 = !{!"allowDisableRematforCS", i1 false}
!59 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!60 = !{!"DisableCPSOmaskWA", i1 false}
!61 = !{!"DisableFastestGopt", i1 false}
!62 = !{!"WaForceHalfPromotion", i1 false}
!63 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!64 = !{!"FuncMD", !65, !66}
!65 = !{!"FuncMDMap[0]", void (i32, i32, i64 addrspace(1)*, i64 addrspace(1)*, i64 addrspace(3)*, i64 addrspace(3)*)* @test_atomic_kernel}
!66 = !{!"FuncMDValue[0]", !67, !68, !72, !73, !74, !94, !100, !101, !102, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120}
!67 = !{!"localOffsets"}
!68 = !{!"workGroupWalkOrder", !69, !70, !71}
!69 = !{!"dim0", i32 0}
!70 = !{!"dim1", i32 0}
!71 = !{!"dim2", i32 0}
!72 = !{!"funcArgs"}
!73 = !{!"functionType", !"KernelFunction"}
!74 = !{!"rtInfo", !75, !76, !77, !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !93}
!75 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!76 = !{!"isContinuation", i1 false}
!77 = !{!"hasTraceRayPayload", i1 false}
!78 = !{!"hasHitAttributes", i1 false}
!79 = !{!"hasCallableData", i1 false}
!80 = !{!"ShaderStackSize", i32 0}
!81 = !{!"ShaderHash", i64 0}
!82 = !{!"ShaderName", !""}
!83 = !{!"ParentName", !""}
!84 = !{!"SlotNum", i1* null}
!85 = !{!"NOSSize", i32 0}
!86 = !{!"Entries"}
!87 = !{!"SpillUnions"}
!88 = !{!"CustomHitAttrSizeInBytes", i32 0}
!89 = !{!"Types", !90, !91, !92}
!90 = !{!"FrameStartTys"}
!91 = !{!"ArgumentTys"}
!92 = !{!"FullFrameTys"}
!93 = !{!"Aliases"}
!94 = !{!"resAllocMD", !95, !96, !97, !98, !99}
!95 = !{!"uavsNumType", i32 0}
!96 = !{!"srvsNumType", i32 0}
!97 = !{!"samplersNumType", i32 0}
!98 = !{!"argAllocMDList"}
!99 = !{!"inlineSamplersMD"}
!100 = !{!"maxByteOffsets"}
!101 = !{!"IsInitializer", i1 false}
!102 = !{!"IsFinalizer", i1 false}
!103 = !{!"CompiledSubGroupsNumber", i32 0}
!104 = !{!"hasInlineVmeSamplers", i1 false}
!105 = !{!"localSize", i32 0}
!106 = !{!"localIDPresent", i1 false}
!107 = !{!"groupIDPresent", i1 false}
!108 = !{!"privateMemoryPerWI", i32 0}
!109 = !{!"globalIDPresent", i1 false}
!110 = !{!"hasSyncRTCalls", i1 false}
!111 = !{!"hasNonKernelArgLoad", i1 false}
!112 = !{!"hasNonKernelArgStore", i1 false}
!113 = !{!"hasNonKernelArgAtomic", i1 false}
!114 = !{!"UserAnnotations"}
!115 = !{!"m_OpenCLArgAddressSpaces"}
!116 = !{!"m_OpenCLArgAccessQualifiers"}
!117 = !{!"m_OpenCLArgTypes"}
!118 = !{!"m_OpenCLArgBaseTypes"}
!119 = !{!"m_OpenCLArgTypeQualifiers"}
!120 = !{!"m_OpenCLArgNames"}
!121 = !{!"pushInfo", !122, !123, !124, !127, !128, !129, !130, !131, !132, !133, !134, !147, !148, !149, !150}
!122 = !{!"pushableAddresses"}
!123 = !{!"bindlessPushInfo"}
!124 = !{!"dynamicBufferInfo", !125, !126}
!125 = !{!"firstIndex", i32 0}
!126 = !{!"numOffsets", i32 0}
!127 = !{!"MaxNumberOfPushedBuffers", i32 0}
!128 = !{!"inlineConstantBufferSlot", i32 -1}
!129 = !{!"inlineConstantBufferOffset", i32 -1}
!130 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!131 = !{!"constants"}
!132 = !{!"inputs"}
!133 = !{!"constantReg"}
!134 = !{!"simplePushInfoArr", !135, !144, !145, !146}
!135 = !{!"simplePushInfoArrVec[0]", !136, !137, !138, !139, !140, !141, !142, !143}
!136 = !{!"cbIdx", i32 0}
!137 = !{!"pushableAddressGrfOffset", i32 -1}
!138 = !{!"pushableOffsetGrfOffset", i32 -1}
!139 = !{!"offset", i32 0}
!140 = !{!"size", i32 0}
!141 = !{!"isStateless", i1 false}
!142 = !{!"isBindless", i1 false}
!143 = !{!"simplePushLoads"}
!144 = !{!"simplePushInfoArrVec[1]", !136, !137, !138, !139, !140, !141, !142, !143}
!145 = !{!"simplePushInfoArrVec[2]", !136, !137, !138, !139, !140, !141, !142, !143}
!146 = !{!"simplePushInfoArrVec[3]", !136, !137, !138, !139, !140, !141, !142, !143}
!147 = !{!"simplePushBufferUsed", i32 0}
!148 = !{!"pushAnalysisWIInfos"}
!149 = !{!"inlineRTGlobalPtrOffset", i32 0}
!150 = !{!"rtSyncSurfPtrOffset", i32 0}
!151 = !{!"psInfo", !152, !153, !154, !155, !156, !157, !158, !159, !160, !161, !162, !163, !164, !165, !166}
!152 = !{!"BlendStateDisabledMask", i8 0}
!153 = !{!"SkipSrc0Alpha", i1 false}
!154 = !{!"DualSourceBlendingDisabled", i1 false}
!155 = !{!"ForceEnableSimd32", i1 false}
!156 = !{!"outputDepth", i1 false}
!157 = !{!"outputStencil", i1 false}
!158 = !{!"outputMask", i1 false}
!159 = !{!"blendToFillEnabled", i1 false}
!160 = !{!"forceEarlyZ", i1 false}
!161 = !{!"hasVersionedLoop", i1 false}
!162 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!163 = !{!"NumSamples", i8 0}
!164 = !{!"blendOptimizationMode"}
!165 = !{!"colorOutputMask"}
!166 = !{!"WaDisableVRS", i1 false}
!167 = !{!"csInfo", !168, !169, !170, !171, !172, !18, !19, !173, !174, !175, !176, !177, !47, !178}
!168 = !{!"maxWorkGroupSize", i32 0}
!169 = !{!"waveSize", i32 0}
!170 = !{!"ComputeShaderSecondCompile"}
!171 = !{!"forcedSIMDSize", i8 0}
!172 = !{!"forceTotalGRFNum", i32 0}
!173 = !{!"forcedVISAPreRAScheduler", i1 false}
!174 = !{!"disableLocalIdOrderOptimizations", i1 false}
!175 = !{!"disableDispatchAlongY", i1 false}
!176 = !{!"neededThreadIdLayout", i1* null}
!177 = !{!"forceTileYWalk", i1 false}
!178 = !{!"ResForHfPacking"}
!179 = !{!"msInfo", !180, !181, !182, !183, !184, !185, !186, !187, !188}
!180 = !{!"PrimitiveTopology", i32 3}
!181 = !{!"MaxNumOfPrimitives", i32 0}
!182 = !{!"MaxNumOfVertices", i32 0}
!183 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!184 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!185 = !{!"WorkGroupSize", i32 0}
!186 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!187 = !{!"IndexFormat", i32 6}
!188 = !{!"SubgroupSize", i32 0}
!189 = !{!"taskInfo", !190, !185, !186, !188}
!190 = !{!"MaxNumOfOutputs", i32 0}
!191 = !{!"NBarrierCnt", i32 0}
!192 = !{!"rtInfo", !193, !194, !195, !196, !197, !198, !199, !200, !201, !202}
!193 = !{!"RayQueryAllocSizeInBytes", i32 0}
!194 = !{!"NumContinuations", i32 -1}
!195 = !{!"RTAsyncStackAddrspace", i32 -1}
!196 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!197 = !{!"SWHotZoneAddrspace", i32 -1}
!198 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!199 = !{!"SWStackAddrspace", i32 -1}
!200 = !{!"SWStackSurfaceStateOffset", i1* null}
!201 = !{!"RTSyncStackAddrspace", i32 -1}
!202 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!203 = !{!"CurUniqueIndirectIdx", i32 0}
!204 = !{!"inlineDynTextures"}
!205 = !{!"inlineResInfoData"}
!206 = !{!"immConstant", !207, !208}
!207 = !{!"data"}
!208 = !{!"sizes"}
!209 = !{!"inlineConstantBuffers"}
!210 = !{!"inlineGlobalBuffers"}
!211 = !{!"GlobalPointerProgramBinaryInfos"}
!212 = !{!"ConstantPointerProgramBinaryInfos"}
!213 = !{!"GlobalBufferAddressRelocInfo"}
!214 = !{!"ConstantBufferAddressRelocInfo"}
!215 = !{!"forceLscCacheList"}
!216 = !{!"SrvMap"}
!217 = !{!"RasterizerOrderedByteAddressBuffer"}
!218 = !{!"MinNOSPushConstantSize", i32 0}
!219 = !{!"inlineProgramScopeOffsets"}
!220 = !{!"shaderData", !221}
!221 = !{!"numReplicas", i32 0}
!222 = !{!"URBInfo", !223, !224, !225}
!223 = !{!"has64BVertexHeaderInput", i1 false}
!224 = !{!"has64BVertexHeaderOutput", i1 false}
!225 = !{!"hasVertexHeader", i1 true}
!226 = !{!"UseBindlessImage", i1 false}
!227 = !{!"enableRangeReduce", i1 false}
!228 = !{!"allowMatchMadOptimizationforVS", i1 false}
!229 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!230 = !{!"statefulResourcesNotAliased", i1 false}
!231 = !{!"disableMixMode", i1 false}
!232 = !{!"PrivateMemoryPerFG"}
!233 = !{!"capabilities", !234}
!234 = !{!"globalVariableDecorationsINTEL", i1 false}
!235 = !{!"m_ShaderResourceViewMcsMask", !236, !237}
!236 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!237 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!238 = !{!"computedDepthMode", i32 0}
!239 = !{!"isHDCFastClearShader", i1 false}
!240 = !{i32 3, i32 0}
!241 = !{!"cl_khr_int64_extended_atomics"}
!242 = !{}
!243 = !{!"-cl-std=CL3.0"}
